Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class SubgroupROCPoint

    java.lang.Object
      java.awt.geom.Point2D
          java.awt.geom.Point2D.Float
              nl.liacs.subdisc.SubgroupROCPoint

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SubgroupROCPoint

extends java.awt.geom.Point2D.Float

A SubgroupROCPoint of a `Subgroup` is nothing more than a `Point2D. Float` with that Subgroups' `getID()` as identifier, `getFalsePositiveRate()` for `Point2D .x` and `getTruePositiveRate()` for `Point2D .y`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Point2D
`java.awt.geom.Point2D.Double, java.awt.geom.Point2D.Float`

Field Summary
`int` | `ID`

Fields inherited from class java.awt.geom.Point2D.Float
`x, y`

Constructor Summary
`SubgroupROCPoint(Subgroup theSubgroup)` Creates a SubgroupROCPoint for the `Subgroup` passed in as parameter.

Method Summary
`float` | `getFPR()` Convenience method, more intuitive way to get the FalsePositiveRate then subgroupROCPoint .x or subgroupROCPoint .getX().
`float` | `getTPR()` Convenience method, more intuitive way to get the TruePositiveRate then subgroupROCPoint .y or subgroupROCPoint .getY().
`void` | `setLocation(double x, double y)` SubgroupROCPoint overrides the setLocation method of Point2D, because we do no allow the X/Y coordinates to be changed.
`java.lang.String` | `toString()` Overrides `Object`s' `toString()` method to to get detailed information about this SubgroupROCPoint.

Methods inherited from class java.awt.geom.Point2D.Float
`getX, getY, setLocation`

Methods inherited from class java.awt.geom.Point2D
`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public final int ID

Constructor Detail

### SubgroupROCPoint

    public SubgroupROCPoint(Subgroup theSubgroup)

  Creates a SubgroupROCPoint for the `Subgroup` passed in as parameter.

  Parameters:
    `theSubgroup` - the Subgroup for which to create the SubgroupROCPoint.

Method Detail

### getFPR

    public float getFPR()

  Convenience method, more intuitive way to get the FalsePositiveRate then subgroupROCPoint .x or subgroupROCPoint .getX().

  Returns:
    x, better known as FalsePositiveRate.

### getTPR

    public float getTPR()

  Convenience method, more intuitive way to get the TruePositiveRate then subgroupROCPoint .y or subgroupROCPoint .getY().

  Returns:
    y, better known as TruePositiveRate.

### setLocation

    public void setLocation(double x,
                            double y)

  SubgroupROCPoint overrides the setLocation method of Point2D, because we do no allow the X/Y coordinates to be changed.

  Overrides:
    `setLocation` in class `java.awt.geom.Point2D.Float`

### toString

    public java.lang.String toString()

  Overrides `Object`s' `toString()` method to to get detailed information about this SubgroupROCPoint.

  Overrides:
    `toString` in class `java.awt.geom.Point2D.Float`
  Returns:
    a `String` representation of this SubgroupROCPoint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD